Name:           garmindev
Version:        0.3.4
Release:        %mkrel 2
Summary:        Drivers for communication with Garmin GPS devices
Group:          System/Libraries
License:        GPLv2+
URL:            http://www.qlandkarte.org
Source0:        http://downloads.sourceforge.net/qlandkartegt/%{name}-%{version}.tar.gz
Provides:       %{name}(interface) = 1.18

BuildRequires:  cmake libusb-devel


%description
Drivers for communication with Garmin GPS devices used by QLandkarteGT.


%prep
%setup -q


%build
%cmake
%make


%install
cd build
%make_install

# fix perms on plugins
find %{buildroot}%{_libdir}/qlandkartegt -type f -exec chmod 0755 {} \;

# drop the development files
rm -rf %{buildroot}%{_includedir}/garmin
rm -rf %{buildroot}%{_libdir}/qlandkartegt/libgarmin*


%files
%defattr(-,root,root,-)
%doc
%{_libdir}/qlandkartegt




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.3.4-2.mga3
+ Revision: 351069
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 08 2011 zezinho <zezinho> 0.3.4-1.mga2
+ Revision: 178968
- import fedora spec
- imported package garmindev

